Bug 507393 - [FEAT] Running o-c-networking removes previous NTP configuration
[FEAT] Running o-c-networking removes previous NTP configuration
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
:
Depends On:
Blocks: 507311
  Show dependency treegraph
 
Reported: 2009-06-22 12:06 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-18 09:16:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2009-06-22 12:06:13 EDT
Description of problem:
NTP could be re-configured in o-c-networking menu,so should disabled this. 

Version-Release number of selected component (if applicable):
rhev-hypervisor-5.4-2.0.99.7.1.el5rhev

How reproducible:
Always

Steps to Reproduce:
1.ovirt-config-networking ,then select NTP for setting
2.
3.

Actual results:
NTP could be set

Expected results:
the re-configuration for network should be disabled.

Additional info:
Comment 1 Joey Boggs 2009-06-22 14:52:15 EDT
If we disable networking changes what's happens when changes really do need to be made? Does the RHEV-M console take care of it?
Comment 2 Alan Pevec 2009-06-23 10:10:42 EDT
it should still be possible to reconfigure networking, but only from scratch - i.e. must start by selecting NIC and then DNS, NTP, earsing the old configuration.
The actual bug is that configure_ntp modifies ntp.conf directly, it should be applied only when confirmed, as for the other configs.
Comment 3 Darryl L. Pierce 2009-07-01 14:56:17 EDT
Fix is committed to git:
http://git.et.redhat.com/?p=ovirt-node.git;a=commit;h=02ff5f112a5bb9de192861e01eb4750203daca8f

Note You need to log in before you can comment on or make changes to this bug.